# $Revision: 1.20 $, $Date: 2012/01/14 19:38:44 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MIME
%define		pnam	Explode
Summary:	MIME::Explode - Perl extension for explode MIME messages
Summary(pl.UTF-8):	MIME::Explode - rozszerzenie Perla do rozbijania wiadomości MIME
Name:		perl-MIME-Explode
Version:	0.39
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MIME/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	87be0487497ee30b4566ceac2dbaf733
URL:		http://search.cpan.org/dist/MIME-Explode/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MIME::Explode is Perl module for parsing and decoding single or
multipart MIME messages, and outputting its decoded components to a
given directory. This module is designed to allows users to extract
the attached files out of a MIME encoded email messages or mailboxes.

%description -l pl.UTF-8
MIME::Explode to moduł Perla do analizy i dekodowania jedno- i
wieloczęściowych wiadomości MIME oraz zapisu zdekodowanych składników
do podanego katalogu. Ten moduł został opracowany aby umożliwić
użytkownikom wydobywanie załączników z zakodowanych MIME wiadomości
lub skrzynek pocztowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/MIME/Explode.pm
%dir %{perl_vendorarch}/auto/MIME/Explode
%{perl_vendorarch}/auto/MIME/Explode/autosplit.ix
%{perl_vendorarch}/auto/MIME/Explode/Explode.bs
%attr(755,root,root) %{perl_vendorarch}/auto/MIME/Explode/Explode.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MIME-Explode.spec,v $
Revision 1.20  2012/01/14 19:38:44  zbyniu
- up to 0.39

Revision 1.19  2010/11/01 07:12:35  arekm
- release 4

Revision 1.18  2010/06/06 08:39:37  arekm
- release 3

Revision 1.17  2008/02/10 12:15:54  arekm
- rel 2

Revision 1.16  2008-01-10 08:38:39  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.15  2007-12-24 19:24:57  qboosh
- generic URL

Revision 1.14  2007-12-24 02:38:10  zbyniu
- up to 0.38

Revision 1.13  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.11  2004/12/01 17:39:54  radek
- autoupdated to 0.37

Revision 1.10  2004/11/03 22:30:31  paladine
- formatting

Revision 1.9  2004/08/22 09:24:40  adamg
- updated to 0.36

Revision 1.8  2004/05/29 07:58:54  adamg
- updated to 0.35

Revision 1.7  2004/05/27 11:55:42  adamg
- updated to 0.34

Revision 1.6  2004/05/23 23:22:17  adamg
- updated to 0.32

Revision 1.5  2004/05/07 07:45:27  adamg
- updated to 0.31

Revision 1.4  2004/05/04 06:53:59  adamg
- updated to 0.30

Revision 1.3  2004/04/24 14:52:15  ankry
- license fixes / unification

Revision 1.2  2004/02/08 08:58:12  misi3k
- updated to 0.29

Revision 1.1  2003/12/11 14:53:38  qboosh
- new
